# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "so-stats"
version = "0.2.0"
authors = ["EthanNov56 <yichen_1226@163.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "High-performance statistical computing library written in Rust, exposed to Python via PyO3"
readme = "README.md"
license = "MIT AND Apache-2.0"
resolver = "2"

[lib]
name = "so_stats"
path = "src/lib.rs"

[dependencies.ndarray]
version = "0.17.1"
features = ["serde"]

[dependencies.rand]
version = "0.9.2"

[dependencies.so-core]
version = "0.2.0"
default-features = false

[dependencies.statrs]
version = "0.17"

[dependencies.thiserror]
version = "2.0.17"

[dev-dependencies.approx]
version = "0.5"
